package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_work_task_patrol_card
 * 
 * @author zehong
 * @date 2023-09-15
 */
public class TWorkTaskPatrolCard extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long cardId;

    /** 巡线id */
    @Excel(name = "巡线id")
    private Long patrolId;

    /** 巡检员id */
    @Excel(name = "巡检员id")
    private Long memberId;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 打卡照片 */
    @Excel(name = "打卡照片")
    private String picture;

    /** 打卡照片 */
    @Excel(name = "打卡视频")
    private String video;

    /** 打卡内容 */
    @Excel(name = "打卡内容")
    private String cardContent;

    /** 上报 0否 1是 */
    @Excel(name = "上报 0否 1是")
    private Integer isReport;

    private Long taskId;

    private String memberName;

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public void setCardId(Long cardId)
    {
        this.cardId = cardId;
    }

    public Long getCardId() 
    {
        return cardId;
    }
    public void setPatrolId(Long patrolId) 
    {
        this.patrolId = patrolId;
    }

    public Long getPatrolId() 
    {
        return patrolId;
    }
    public void setMemberId(Long memberId) 
    {
        this.memberId = memberId;
    }

    public Long getMemberId() 
    {
        return memberId;
    }
    public void setLongitude(String longitude) 
    {
        this.longitude = longitude;
    }

    public String getLongitude() 
    {
        return longitude;
    }
    public void setLatitude(String latitude) 
    {
        this.latitude = latitude;
    }

    public String getLatitude() 
    {
        return latitude;
    }
    public void setPicture(String picture) 
    {
        this.picture = picture;
    }

    public String getPicture() 
    {
        return picture;
    }
    public void setCardContent(String cardContent) 
    {
        this.cardContent = cardContent;
    }

    public String getVideo() {
        return video;
    }

    public void setVideo(String video) {
        this.video = video;
    }

    public String getCardContent()
    {
        return cardContent;
    }
    public void setIsReport(Integer isReport) 
    {
        this.isReport = isReport;
    }

    public Integer getIsReport() 
    {
        return isReport;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("cardId", getCardId())
            .append("patrolId", getPatrolId())
            .append("memberId", getMemberId())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("picture", getPicture())
            .append("cardContent", getCardContent())
            .append("createTime", getCreateTime())
            .append("isReport", getIsReport())
            .toString();
    }
}
